sqlsrv_commit
sqlsrv_connect
Fonctions SQLSRV
PHP Manual

# sqlsrv_configure

(No version information available, might only be in SVN)

sqlsrv_configure — Modifie la configuration du gestionnaire d'erreurs et d'historisations du driver

### Description

bool sqlsrv_configure ( string `$setting` , mixed `$value` )

Modifie la configuration du gestionnaire d'erreurs et d'historisations du driver.

### Liste de paramètres

`setting`

  Le nom de la configuration à définir. Les valeurs possibles sont "WarningsReturnAsErrors", "LogSubsystems", et "LogSeverity".

`value`

  La valeur de la configuration à définir. La table suivante montre les valeurs possibles :

  Options de configuration du gestionnaire d'erreurs et d'historisations
  Configurations | Options
  --- | ---
  WarningsReturnAsErrors | 1 (`TRUE`) ou 0 (`FALSE`)
  LogSubsystems | SQLSRV_LOG_SYSTEM_ALL (-1) SQLSRV_LOG_SYSTEM_CONN (2) SQLSRV_LOG_SYSTEM_INIT (1) SQLSRV_LOG_SYSTEM_OFF (0) SQLSRV_LOG_SYSTEM_STMT (4) SQLSRV_LOG_SYSTEM_UTIL (8)
  LogSeverity | SQLSRV_LOG_SEVERITY_ALL (-1) SQLSRV_LOG_SEVERITY_ERROR (1) SQLSRV_LOG_SEVERITY_NOTICE (4) SQLSRV_LOG_SEVERITY_WARNING (2)

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient.

### Voir aussi

- » Le gestionnaire d'erreur SQLSRV.
- » Le gestionnaire d'historisation SQLSRV.

sqlsrv_commit
sqlsrv_connect
Fonctions SQLSRV
PHP Manual